<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2018 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ( !file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php') )
    return;

require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php';
require_once dirname(__FILE__) . '/helper.php';

// Get entries.
RSDirectoryCarouselHelper::$params = $params;
$entries = RSDirectoryCarouselHelper::getEntries();

if (!$entries) return;

$config = RSDirectoryConfig::getInstance();

// Get the thumbnail width.
$width = $config->get('big_thumbnail_width');

// Get the thumbnail height.
$height = $config->get('big_thumbnail_height');

// Load language.
$lang = JFactory::getLanguage();
$lang->load('com_rsdirectory');

// Get params.
$itemid 					= $params->get('itemid');
$entries_per_slide			= (int)$params->get('entries_per_slide', 3);
$span						= 12 / $entries_per_slide;
$display_thumbs				= $params->get('display_thumbs', 3);
$thumb_max_width			= (int)$params->get('thumb_max_width');
$display_titles				= $params->get('display_titles');
$display_prices				= $params->get('display_prices');
$display_ratings			= $params->get('display_ratings');
$display_publishing_date	= $params->get('display_publishing_date');
$display_author				= $params->get('display_author');
$display_category			= $params->get('display_category');
$display_expiry_date		= $params->get('display_expiry_date');
$display_big_subtitle		= $params->get('display_big_subtitle');
$display_small_subtitle		= $params->get('display_small_subtitle');
$interval					= (int)$params->get('interval', 5000);
$display_indicators			= $params->get('display_indicators', 1);
$display_nav				= $params->get('display_nav', 1);
$doc 						= JFactory::getApplication()->getDocument();
$slides 					= RSDirectoryCarouselHelper::getEntriesPerSlide($entries, $entries_per_slide);

RSDirectoryHelper::loadMedia();
JHtml::_('stylesheet', 'mod_rsdirectory_entries_carousel/style.css', array('relative' => true, 'version' => 'auto'));

if ($display_ratings) {
	RSDirectoryHelper::loadRaty('.carousel-entry-rating');
}

JHtml::_('script', 'mod_rsdirectory_entries_carousel/script.js', array('relative' => true, 'version' => 'auto'));

// Generate carousel ID.
$carousel_id = 'rsdir-carousel-' . $module->id;

// Initialize the carousel.
$script = 'jQuery(function($) {';
if (RSDirectoryHelper::isJ4()) {
	$script .= '$("#' . $carousel_id . '").carousel({interval: ' . $interval . '});';
	$script .= 'var rsdir_carousel_'.$module->id.' = document.querySelector("#' . $carousel_id . '")
				new bootstrap.Carousel(rsdir_carousel_'.$module->id.', {
				  interval: '.$interval.'
				})';
} else {
	$script .= '$("#' . $carousel_id . '").carousel({interval: ' . $interval . '});';
}
$script .= '});';

$doc->addScriptDeclaration($script);

$default_layout = RSDirectoryHelper::isJ4() ? 'default_40' : 'default';
$layout = $params->get('layout', $default_layout);

if (RSDirectoryHelper::isJ4() && $layout == '_:default' ) {
	$layout = $default_layout;
}

require JModuleHelper::getLayoutPath('mod_rsdirectory_entries_carousel', $layout);