<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2018 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');
?>

<div class="rsdir">
    <div id="<?php echo $carousel_id; ?>" class="carousel carousel-dark slide" data-bs-ride="carousel">
        <?php if ($slides) { ?>
            <?php if ($display_indicators) { ?>
                <div class="carousel-indicators">
                    <?php foreach ($slides as $i => $slide) { ?>
                     <button type="button" <?php echo $i ? '' : ' class="active" aria-current="true"'; ?> data-bs-target="#<?php echo $carousel_id; ?>" data-bs-slide-to="<?php echo $i; ?>" ></button>
                    <?php } ?>
                </div>
            <?php } ?>

            <!-- Carousel items -->
            <div class="carousel-inner">
                <?php foreach ($slides as $i => $slide) { ?>
                    <div class="carousel-item<?php echo $i ? '' : ' active'; ?>">
                        <div class="row carousel-entries">
                            <?php
                            foreach ($slide as $entry) {
                                $url = RSDirectoryRoute::getEntryURL($entry->id, $entry->title, '', $itemid);
                                $title = RSDirectoryHelper::escapeHTML($entry->title);
                                ?>
                                <div class="carousel-entry col-md-<?php echo $span; ?>">
                                    <?php
                                    if ($display_thumbs) {
                                        // Get the images field.
                                        $images_field = RSDirectoryHelper::findFormField('images', $entry->form->fields);
                                        ?>
                                        <div class="img-thumbnail" style="max-width: <?php echo $thumb_max_width; ?>px;">
                                            <a href="<?php echo $url; ?>" title="<?php echo $title; ?>">
                                                <?php if (empty($images_field->files)) { ?>
                                                    <i class="rsdir-no-image" style="width: <?php echo $thumb_max_width; ?>px; height: <?php echo $thumb_max_width; ?>px; background-image: url(<?php echo JHtml::_('image', 'com_rsdirectory/no-image.png', '', null, true, 1); ?>);"></i>
                                                    <?php
                                                } else {
                                                    $src = RSDirectoryHelper::getImageURL($images_field->files[0]->hash, 'small');
                                                    ?>
                                                    <img src="<?php echo $src; ?>" alt="<?php echo $title; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" />
                                                <?php } ?>
                                            </a>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_titles) { ?>
                                        <h5 class="carousel-entry-title">
                                            <a href="<?php echo $url; ?>">
                                                <?php echo $title; ?>
                                            </a>
                                        </h5>
                                    <?php } ?>

                                    <?php if ($display_ratings) { ?>
                                        <div class="carousel-entry-rating-wrapper">
                                            <div class="carousel-entry-rating" data-rating="<?php echo $entry->avg_rating; ?>"></div>
                                            <span class="carousel-entry-votes"><?php echo JText::plural('MOD_RSDIRECTORY_ENTRIES_CAROUSEL_VOTES', $entry->ratings_count); ?></span>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_publishing_date) { ?>
                                        <div class="carousel-entry-publishing">
                                            <span class="fa fa-calendar">&shy;</span>
                                            <?php echo RSDirectoryHelper::formatDate($entry->published_time); ?>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_author) { ?>
                                        <div class="carousel-entry-author">
                                            <span class="fa fa-user">&shy;</span>
                                            <a href="<?php echo RSDirectoryRoute::getUserEntriesURL($entry->user_id, $entry->author); ?>"><?php echo $entry->author; ?></a>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_category) { ?>
                                        <div class="carousel-entry-category">
                                            <span class="fa fa-folder-open">&shy;</span>
                                            <a href="<?php echo RSDirectoryRoute::getCategoryEntriesURL($entry->category_id, $entry->category_title, $itemid); ?>">
                                                <?php echo RSDirectoryHelper::escapeHTML($entry->category_title); ?>
                                            </a>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_expiry_date) { ?>
                                        <div class="carousel-entry-expiry">
                                            <span class="fa fa-clock-o">&shy;</span>
                                            <?php echo ($entry->expiry_time == '0000-00-00 00:00:00' ? JText::_('COM_RSDIRECTORY_NO_EXPIRY') : RSDirectoryHelper::formatDate($entry->expiry_time)); ?>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_big_subtitle) { ?>
                                        <div class="carousel-entry-big-subtitle">
                                            <?php echo $entry->big_subtitle; ?>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_small_subtitle) { ?>
                                        <div class="carousel-entry-small-subtitle">
                                            <?php echo $entry->small_subtitle; ?>
                                        </div>
                                    <?php } ?>

                                    <?php if ($display_prices) { ?>
                                        <div class="carousel-entry-price">
                                            <?php echo RSDirectoryHelper::formatPrice($entry->price); ?>
                                        </div>
                                    <?php } ?>
                                </div><!-- .carousel-entry -->
                            <?php } ?>
                        </div><!-- .carousel-entries -->
                    </div><!-- .item -->
                <?php } ?>
            </div><!-- . carousel-inner -->

            <?php if ($display_nav) { ?>
                <button class="carousel-control-prev" type="button" data-bs-target="#<?php echo $carousel_id; ?>" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden"><?php echo JText::_('MOD_RSDIRECTORY_ENTRIES_CAROUSEL_PREV'); ?></span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#<?php echo $carousel_id; ?>" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden"><?php echo JText::_('MOD_RSDIRECTORY_ENTRIES_CAROUSEL_PREV'); ?></span>
                </button>
            <?php } ?>
        <?php } ?>
    </div>
</div>